Awkward Array: FromJsonObjectSchema Class Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FromJsonObjectSchema Class Reference

`#include <json.h>`

## Public Member Functions
| FromJsonObjectSchema (FileLikeObject *source, int64_t buffersize, bool read_one, const char *nan_string, const char *posinf_string, const char *neginf_string, const char *jsonassembly, int64_t initial, double resize)
int64_t | current_stack_depth () const noexcept
| HERE. More...
int64_t | current_instruction () const noexcept
| HERE. More...
int64_t | instruction () const noexcept
| HERE. More...
int64_t | argument1 () const noexcept
| HERE. More...
int64_t | argument2 () const noexcept
| HERE. More...
int64_t | argument3 () const noexcept
| HERE. More...
void | step_forward () noexcept
| HERE. More...
void | step_backward () noexcept
| HERE. More...
void | push_stack (int64_t jump_to) noexcept
| HERE. More...
void | pop_stack () noexcept
| HERE. More...
int64_t | find_enum (const char *str) noexcept
| HERE. More...
int64_t | find_key (const char *str) noexcept
| HERE. More...
void | write_int8 (int64_t index, int8_t x) noexcept
| HERE. More...
void | write_uint8 (int64_t index, uint8_t x) noexcept
| HERE. More...
void | write_many_uint8 (int64_t index, int64_t num_items, const uint8_t *values) noexcept
| HERE. More...
void | write_int64 (int64_t index, int64_t x) noexcept
| HERE. More...
void | write_uint64 (int64_t index, uint64_t x) noexcept
| HERE. More...
void | write_add_int64 (int64_t index, int64_t x) noexcept
| HERE. More...
void | write_float64 (int64_t index, double x) noexcept
| HERE. More...
int64_t | get_and_increment (int64_t index) noexcept
| HERE. More...
int64_t | length () const noexcept
| HERE. More...
void | add_to_length (int64_t length) noexcept
| HERE. More...
std::string | debug () const noexcept
| HERE. More...
int64_t | num_outputs () const
| HERE. More...
std::string | output_name (int64_t i) const
| HERE. More...
std::string | output_dtype (int64_t i) const
| HERE. More...
int64_t | output_num_items (int64_t i) const
| HERE. More...
void | output_fill (int64_t i, void *external_pointer) const
| HERE. More...

## Constructor & Destructor Documentation

## ◆ FromJsonObjectSchema()

FromJsonObjectSchema | ( | FileLikeObject * | source,
|  | int64_t | buffersize,
|  | bool | read_one,
|  | const char * | nan_string,
|  | const char * | posinf_string,
|  | const char * | neginf_string,
|  | const char * | jsonassembly,
|  | int64_t | initial,
|  | double | resize
| ) |  |

## Member Function Documentation

## ◆ add_to_length()

void add_to_length | ( | int64_t | length | ) |
| inlinenoexcept

HERE.

## ◆ argument1()

int64_t argument1 | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ argument2()

int64_t argument2 | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ argument3()

int64_t argument3 | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ current_instruction()

int64_t current_instruction | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ current_stack_depth()

int64_t current_stack_depth | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ debug()

std::string debug | ( |  | ) | const
| noexcept

HERE.

## ◆ find_enum()

int64_t find_enum | ( | const char * | str | ) |
| inlinenoexcept

HERE.

## ◆ find_key()

int64_t find_key | ( | const char * | str | ) |
| inlinenoexcept

HERE.

## ◆ get_and_increment()

int64_t get_and_increment | ( | int64_t | index | ) |
| inlinenoexcept

HERE.

## ◆ instruction()

int64_t instruction | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ length()

int64_t length | ( |  | ) | const
| inlinenoexcept

HERE.

## ◆ num_outputs()

int64_t num_outputs | ( |  | ) | const
| inline

HERE.

## ◆ output_dtype()

std::string output_dtype | ( | int64_t | i | ) | const
| inline

HERE.

## ◆ output_fill()

void output_fill | ( | int64_t | i,
|  | void * | external_pointer
| ) |  | const
| inline

HERE.

## ◆ output_name()

std::string output_name | ( | int64_t | i | ) | const
| inline

HERE.

## ◆ output_num_items()

int64_t output_num_items | ( | int64_t | i | ) | const
| inline

HERE.

## ◆ pop_stack()

void pop_stack | ( |  | ) |
| inlinenoexcept

HERE.

## ◆ push_stack()

void push_stack | ( | int64_t | jump_to | ) |
| inlinenoexcept

HERE.

## ◆ step_backward()

void step_backward | ( |  | ) |
| inlinenoexcept

HERE.

## ◆ step_forward()

void step_forward | ( |  | ) |
| inlinenoexcept

HERE.

## ◆ write_add_int64()

void write_add_int64 | ( | int64_t | index,
|  | int64_t | x
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_float64()

void write_float64 | ( | int64_t | index,
|  | double | x
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_int64()

void write_int64 | ( | int64_t | index,
|  | int64_t | x
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_int8()

void write_int8 | ( | int64_t | index,
|  | int8_t | x
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_many_uint8()

void write_many_uint8 | ( | int64_t | index,
|  | int64_t | num_items,
|  | const uint8_t * | values
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_uint64()

void write_uint64 | ( | int64_t | index,
|  | uint64_t | x
| ) |  |
| inlinenoexcept

HERE.

## ◆ write_uint8()

void write_uint8 | ( | int64_t | index,
|  | uint8_t | x
| ) |  |
| inlinenoexcept

HERE.

The documentation for this class was generated from the following file:

- include/awkward/io/json.h